// -*- C++ -*-
/*!
 * @file RTM.i
 * @brief swig interface file for RTM
 * @date $Date$
 *
 * Copyright (c) 2004 Noriaki Ando <n-ando@aist.go.jp>
 *          Task-intelligence Research Group,
 *          Intelligent System Research Institute,
 *          National Institute of Industrial Science (AIST), Japan
 *          All rights reserved.
 *
 * $Id$
 */

%module(directors="1") RTM

%init %{
  PyEval_InitThreads();
%}

%include "_defs.i"
%include "typemaps_py.i"
%include "RtcDataType.i"
%include "RtcInPort.i"
%include "RtcOutPort.i"
%include "RtcModuleProfile.i"
%include "RtcManager.i"
%include "RtcBase.i"
%include "RTCInPort.i"
%include "RTCOutPort.i"
%include "RTComponent.i"
%include "RTCBase.i"
%include "RTCManager.i"


 

