// -*- C++ -*-
/*!
 * @file rtcsrv.cpp
 * @brief RT component server daemon
 * @date $Date$
 *
 * Copyright (c) 2003 Noriaki Ando <n-ando@aist.go.jp>
 *          National Institute of Industrial Science (AIST), Japan. All rights reserved.
 *
 * $Id$
 */

#include <iostream>
#include <rtm/RtcManager.h>

using namespace std;

int main (int argc, char** argv)
{
  RTM::RtcManager manager(argc, argv);

  manager.initManager();
  cout << "init Manager done" << endl;

  manager.activateManager();
  cout << "activate Manager done" << endl;

  manager.runManager();
  cout << "run Manager done" << endl;

  return 0;
}
